Bug 2608 - Missing various functions used by Hibernate
Summary: Missing various functions used by Hibernate
Status: NEW
Alias: None
Product: SQL
Classification: Unclassified
Component: all (show other bugs)
Version: -- development
Hardware: All All
: Normal enhancement
Assignee: SQL devs
URL:
Keywords: NONEEDTOTEST
Depends on:
Blocks:
 
Reported: 2010-07-13 13:06 CEST by Fabian Groffen
Modified: 2016-04-11 11:46 CEST (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Groffen 2010-07-13 13:06:32 CEST
We need the following functions (of which some trivial):

ln
cbrt
radians
degrees
stddev
variance
round
trunc
md5 (sha1, sha256, sha512, rmd160)
bit_length
Comment 1 Fabian Groffen 2010-08-20 14:26:46 CEST
radians and degrees are already provided by src/sql/math.sql (and automagically loaded upon server creation)
Comment 2 Sjoerd Mullender cwiconfidential 2010-08-30 09:23:22 CEST
The Jun2010-SP2 version has been released.
Comment 3 Sjoerd Mullender cwiconfidential 2011-03-28 17:36:35 CEST
The Mar2011 version has been released.
Comment 4 Sjoerd Mullender cwiconfidential 2011-07-29 11:00:08 CEST
Apr2011-SP2 has been released.
Comment 5 Sjoerd Mullender cwiconfidential 2011-09-16 15:10:42 CEST
The Aug2011 version has been released.
Comment 6 Sjoerd Mullender cwiconfidential 2012-08-24 14:56:08 CEST
Jul2012-SP1 has been released.
Comment 7 Ying Zhang cwiconfidential 2012-11-27 15:25:09 CET
No test needed for feature request